LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 09-06-2018, 05:24 PM   #1
th_r
LQ Newbie
 
Registered: May 2009
Posts: 16

Rep: Reputation: 12
Exclamation Current hplip build with ghostscript is broken...


Hi.

Current version hplip 3.18.7 not work fine with ghostscript 9.24.
Printing on HP3525 is broken with the error: "Filter failed".

Bug reported upstream: https://bugs.ghostscript.com/show_bug.cgi?id=699713

Please add this patch to ghostscript:
http://git.ghostscript.com/?p=ghostp...h=bc3df0773fcc

info:
hplip-3.18.7-i586-2
ghostscript-9.24-i586-1

Thanks.
 
Old 09-06-2018, 08:09 PM   #2
hitest
Guru
 
Registered: Mar 2004
Location: Prince Rupert, B.C., Canada
Distribution: Slackware, OpenBSD
Posts: 5,728

Rep: Reputation: 1845Reputation: 1845Reputation: 1845Reputation: 1845Reputation: 1845Reputation: 1845Reputation: 1845Reputation: 1845Reputation: 1845Reputation: 1845Reputation: 1845
Fixed. Thanks to you and bamunds.

Quote:
Thu Sep 6 23:22:45 UTC 2018
a/pkgtools-15.0-noarch-23.txz: Rebuilt.
Removed stray cat and loop kludges for lack of reported size, since this
is fixed now in tar.
a/tar-1.30-x86_64-3.txz: Rebuilt.
Fixed a bug in the nolonezero patch that was evidently causing all of the
issues in installpkg that we'd been kludging around (e.g. the "stray cat").
Thanks *very* much to NonNonBa for the patch, and to SeB for the initial
analysis of the problem.
ap/ghostscript-9.24-x86_64-2.txz: Rebuilt.
Applied upstream patch to fix "Filter failed". Thanks to th_r and bamunds.

d/gdb-8.2-x86_64-1.txz: Upgraded.
d/indent-2.2.12-x86_64-1.txz: Upgraded.
isolinux/initrd.img: Rebuilt.
usb-and-pxe-installers/usbboot.img: Rebuilt.
+--------------------------+
 
1 members found this post helpful.
Old 09-06-2018, 11:58 PM   #3
th_r
LQ Newbie
 
Registered: May 2009
Posts: 16

Original Poster
Rep: Reputation: 12
Perfectly works!

Thanks
 
2 members found this post helpful.
Old 09-07-2018, 07:14 AM   #4
Petri Kaukasoina
Member
 
Registered: Mar 2007
Posts: 402

Rep: Reputation: 256Reputation: 256Reputation: 256
Printing pdf files gives error status from pdftops filter here in 14.2 and -current with latest ghostscript. This is the command line pdftops uses:
Code:
gs -q -dNOPAUSE -dBATCH -dSAFER -dNOMEDIAATTRS -sDEVICE=ps2write -dShowAcroForm -sOUTPUTFILE=%stdout -dLanguageLevel=3 -f file.pdf > /dev/null
Entered like that tells me
Code:
  ./base/gsicc_manage.c:1244: gsicc_open_search(): Could not find default_rgb.icc 
| ./base/gsicc_manage.c:2025: gsicc_set_device_profile(): cannot find device profile
GPL Ghostscript 9.24: Unrecoverable error, exit code 1
  ./base/gsicc_manage.c:1244: gsicc_open_search(): Could not find default_gray.icc 
| ./base/gsicc_manage.c:2025: gsicc_set_device_profile(): cannot find device profile
ghostscript-9.23-x86_64-3 works ok. The fix is here https://bugs.ghostscript.com/show_bug.cgi?id=699722. Tested and it works after applying these two patches:
http://git.ghostscript.com/?p=ghostp...h=c8c01f8c4164
http://git.ghostscript.com/?p=ghostp...h=13418541a5ae

Last edited by Petri Kaukasoina; 09-07-2018 at 07:55 AM. Reason: Confirmed that these patches are needed.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Two Things: Current/sbopkg and current/hplip PhiloPolyMath Slackware 11 03-23-2016 01:51 PM
[SOLVED] ghostscript 9.05 in current polyph Slackware 4 06-28-2012 08:29 AM
HPlip woes on --current ; Sharing printer gets broken if the hplip gui is launched Old_Fogie Slackware 2 10-28-2010 10:23 AM
Current 03/2010 - hplip and the parallel port (pp-build=no) hotchili Slackware 0 03-05-2010 11:51 AM
Opera 10 QT4 build broken on -current (by qt-4.5.3) firebird Slackware 1 11-06-2009 02:16 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:57 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration